/*
 * Created on Dec 15, 2004
 */
package Cluedo.Tests;

import Cluedo.Game.Card;
import junit.framework.TestCase;


/**
 * @author zubair
 */
public class TestCard extends TestCase {

	/*
	 * @see TestCase#setUp()
	 */
	protected void setUp() throws Exception {
		super.setUp();
		
		suspect = new Card("MrsWhite", "Suspect");
		suspect.eliminateCard(true);
		
		suspect2 = new Card("Lounge", "Room");
		suspect2.eliminateCard(false);
	}

	/*
	 * @see TestCase#tearDown()
	 */
	protected void tearDown() throws Exception {
		super.tearDown();
	}

	Card suspect = null;
	Card suspect2 = null; 
	
	/**
	 * Constructor for testCard.
	 * @param arg0
	 */
	public TestCard(String arg0) {
		super(arg0);
	}

	public void testSetEliminated() {
		//tested in CardCollection
	}

	public void testSetName() {
		//tested
	}

	public void testSetType() {
		//tested 
	}

	/*
	 * Class under test for void Card(String, String)
	 */
	public void testCardStringString() {
	}

	/*
	 * Class under test for void Card()
	 */
	public void testCard(String x, String y) {
		

	}

	public void testEliminateCard() {
		//tested in CardCollectionTest
	}

	public void testIsEliminated() {
		assertEquals(suspect.isEliminated(), true );
		assertEquals(suspect2.isEliminated(), false );
	}

	public void testGetType() {
		assertEquals(suspect.getType(), "Suspect" );
		assertEquals(suspect2.getType(), "Room" );
	}

	public void testGetName() {
		assertEquals(suspect.getName(), "MrsWhite" );
		assertEquals(suspect2.getName(), "Lounge");
	}

	public void testToXML() {
	}

}
